/*
 * JPA entity template
 *
 *
 * Takatuka - Template fuer JPA2 Entitaeten (inklusive Bean Validation)
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 * - Support für CustomData
 */
package de.ivu.elect.business.wahlvorschlag.entity;

@javax.persistence.NamedQueries(
 {



       @javax.persistence.NamedQuery(
     name="LISTE.UK",
     query="SELECT o FROM Liste o WHERE "

                         + "o"
                +".discriminator"
              +" = ?1"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".nummer"
              +" = ?2"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".gebietsart"
                +".name"
              +" = ?3"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".gebietsart"
                +".mandant"
                +".nummer"
              +" = ?4"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".wahl"
                +".wahlart"
                +".name"
              +" = ?5"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".wahl"
                +".wahlart"
                +".mandant"
                +".nummer"
              +" = ?6"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".wahl"
                +".wahltermin"
                +".nummer"
              +" = ?7"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".wahl"
                +".wahltermin"
                +".wahldatum"
              +" = ?8"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".wahl"
                +".wahltermin"
                +".mandant"
                +".nummer"
              +" = ?9"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".wahltermin"
                +".nummer"
              +" = ?10"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".wahltermin"
                +".wahldatum"
              +" = ?11"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gebiet"
                +".wahltermin"
                +".mandant"
                +".nummer"
              +" = ?12"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gruppe"
                +".schluessel"
              +" = ?13"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gruppe"
                +".wahl"
                +".wahlart"
                +".name"
              +" = ?14"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gruppe"
                +".wahl"
                +".wahlart"
                +".mandant"
                +".nummer"
              +" = ?15"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gruppe"
                +".wahl"
                +".wahltermin"
                +".nummer"
              +" = ?16"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gruppe"
                +".wahl"
                +".wahltermin"
                +".wahldatum"
              +" = ?17"

             +" AND "         + "o"
                +".gruppeImGebiet"
                +".gruppe"
                +".wahl"
                +".wahltermin"
                +".mandant"
                +".nummer"
              +" = ?18"

     ,
   hints = {
              @javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "true"),
             @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
   }


   )
   
     ,   @javax.persistence.NamedQuery(
     name="LISTE.Gebiet",
     query="SELECT wahlvorschlag FROM Liste wahlvorschlag WHERE EXISTS (SELECT gruppeImGebiet FROM GruppeImGebiet gruppeImGebiet WHERE gruppeImGebiet = wahlvorschlag.gruppeImGebiet AND gruppeImGebiet.gebiet = ?1)",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "true"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

        
         ,   @javax.persistence.NamedQuery(
     name="LISTE.GruppeAndGebiet",
     query="SELECT wahlvorschlag FROM Liste wahlvorschlag WHERE EXISTS (SELECT gruppeImGebiet FROM GruppeImGebiet gruppeImGebiet WHERE gruppeImGebiet = wahlvorschlag.gruppeImGebiet AND gruppeImGebiet.gruppe = ?1 AND gruppeImGebiet.gebiet = ?2)",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "true"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

        
         ,   @javax.persistence.NamedQuery(
     name="LISTE.GruppeImGebiet",
     query="SELECT o FROM Liste o WHERE o.gruppeImGebiet = ?1",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "false"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

        
         ,   @javax.persistence.NamedQuery(
     name="LISTE.Gruppe",
     query="SELECT wahlvorschlag FROM Liste wahlvorschlag WHERE EXISTS (SELECT gruppeImGebiet FROM GruppeImGebiet gruppeImGebiet WHERE gruppeImGebiet = wahlvorschlag.gruppeImGebiet AND gruppeImGebiet.gruppe = ?1)",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "true"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

        
         ,   @javax.persistence.NamedQuery(
     name="LISTE.Wahl",
     query="SELECT wahlvorschlag FROM Liste wahlvorschlag WHERE EXISTS(SELECT gruppeImGebiet FROM GruppeImGebiet gruppeImGebiet WHERE gruppeImGebiet.gruppe.wahl = ?1 AND gruppeImGebiet = wahlvorschlag.gruppeImGebiet)",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "true"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

        
     }
)
@javax.enterprise.inject.Vetoed
@javax.persistence.Entity
@javax.persistence.Table(name = "LISTE")
@javax.persistence.Cacheable
@javax.persistence.PrimaryKeyJoinColumn(name="wahlvorschlag_id")
@javax.persistence.DiscriminatorValue(Liste.DISCRIMINATOR_VALUE)

public
 class Liste
extends AbstractListe
  {

  private static final long serialVersionUID = 0L;

  public static final String DISCRIMINATOR_VALUE = "LISTE";

  /**
   * default constructor
   */
  public Liste() {
    super();
  }

    /**
     * @param original
     *
     * @deprecated Sollte nur mit Bedacht genutzt werden, da hier auch die Beziehungen kopiert werden. Deswegen markiert
     *             als Deprecated.
     */
    @Deprecated
    public Liste(Liste original){
      original.copyEntity(this);
    }


  @Override
  public void resetAttributeChanged() {
        hasChangedListenverbindungEingereicht = false;
  
  

          hasChangedListenkandidatursByListe = false;
      
    super.resetAttributeChanged();
  }


  /**
   * ATTRIBUTE
   */

    
  @javax.persistence.Column(name = "LISTENVERBINDUNG_EINGEREICHT", nullable = ListeConstants.LISTENVERBINDUNG_EINGEREICHT_NULLABLE, length=ListeConstants.LISTENVERBINDUNG_EINGEREICHT_MAX_LENGTH)
        
  protected java.lang.String listenverbindungEingereicht =  null;

  @javax.persistence.Transient
  protected boolean hasChangedListenverbindungEingereicht = false;

  public boolean hasChangedListenverbindungEingereicht(){
    return hasChangedListenverbindungEingereicht;
  }
       @javax.persistence.Transient
     private transient boolean isSeitLadenVeraendertListenverbindungEingereicht = false;
     @javax.persistence.Transient
     private transient java.lang.String wertNachLadenListenverbindungEingereicht;
  
  /**
   * 
   *
   * getter for LISTE.LISTENVERBINDUNG_EINGEREICHT
   */
  @javax.annotation.Nullable   @Override   public  java.lang.String getListenverbindungEingereicht() {
        return listenverbindungEingereicht;
      }

  /**
   * 
   *
   * setter for LISTE.LISTENVERBINDUNG_EINGEREICHT
   *
   * @param listenverbindungEingereicht
   */
  @Override   public void setListenverbindungEingereicht(@javax.annotation.Nullable  java.lang.String listenverbindungEingereicht) {

       resetTkCache();
                  
                          java.lang.String listenverbindungEingereichtInternal = de.ivu.elect.jee.entity.EntityUtil.trimToNullOrMaxLength(listenverbindungEingereicht, ListeConstants.LISTENVERBINDUNG_EINGEREICHT_MAX_LENGTH, getId(), getClass());
                  
                java.lang.String alterWert = getListenverbindungEingereicht();
         listenverbindungEingereichtInternal = preProcessListenverbindungEingereicht(listenverbindungEingereichtInternal);
         preSetListenverbindungEingereicht(alterWert, listenverbindungEingereichtInternal);
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.listenverbindungEingereicht
      , listenverbindungEingereichtInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedListenverbindungEingereicht |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("listenverbindungEingereicht");
      }


             if (!isSeitLadenVeraendertListenverbindungEingereicht) {
          isSeitLadenVeraendertListenverbindungEingereicht = thisAttributChanged;
         if (isSeitLadenVeraendertListenverbindungEingereicht){
           wertNachLadenListenverbindungEingereicht=this.listenverbindungEingereicht;
         }
       }
      

       this.listenverbindungEingereicht = listenverbindungEingereichtInternal;

                postSetListenverbindungEingereicht(alterWert, listenverbindungEingereichtInternal);
         }

  
    @Override
    protected java.lang.String preProcessListenverbindungEingereicht(java.lang.String neuerWert) {
      return super.preProcessListenverbindungEingereicht(neuerWert);
    }

    @Override
    protected void preSetListenverbindungEingereicht(java.lang.String alterWert, java.lang.String neuerWert) {
      super.preSetListenverbindungEingereicht(alterWert, neuerWert);
    }

    @Override
    protected void postSetListenverbindungEingereicht(java.lang.String alterWert, java.lang.String neuerWert) {
      super.postSetListenverbindungEingereicht(alterWert, neuerWert);
    }
    
/**
 * Beziehungen N:1 unidirektional
 */

/**
 * Beziehungen N:1 bidirektional
 */
  /**
   * Beziehung N:1 (bidirektional) zu Listenverbindung
   */
  @javax.persistence.ManyToOne(fetch =  javax.persistence.FetchType.LAZY , optional=true, cascade = {javax.persistence.CascadeType.PERSIST})
  @javax.persistence.JoinColumns(@javax.persistence.JoinColumn(name = "LISTENVERBINDUNG_ID", referencedColumnName="LISTENVERBINDUNG_ID"))
  protected de.ivu.elect.business.wahlvorschlag.entity.Listenverbindung listenverbindung;

  /**
   * 
   */
  @Override
  public void setListenverbindung(@javax.annotation.Nullable  de.ivu.elect.business.wahlvorschlag.entity.Listenverbindung listenverbindung){
    resetTkCache();

    try {
      if (!updateRelationship){
        updateRelationship = true;

    

        if (listenverbindung == null){
          // andere Seite der Beziehung aktualisieren wenn vorher nicht null
          if (this.listenverbindung != null){
            this.listenverbindung.removeListeByListenverbindung(this);
          }
        } else {
          // andere Seite der Beziehung aktualisieren
          listenverbindung.addListeByListenverbindung(this);
        }
        this.listenverbindung = listenverbindung;
    
      }
    } finally {
      updateRelationship = false;
    }
  }


/**
* 
* Kein Update der bidirektionalen Beziehung - schneller, aber mit Vorsicht zu genießen
*/
@Override
public void setListenverbindungOhneUpdateBeziehung(@javax.annotation.Nullable  de.ivu.elect.business.wahlvorschlag.entity.Listenverbindung listenverbindung){
    resetTkCache();
        this.listenverbindung = listenverbindung;
    }

  /**
   * 
   */
  @javax.annotation.Nullable   @Override
  public de.ivu.elect.business.wahlvorschlag.entity.Listenverbindung getListenverbindung(){
    return this.listenverbindung;
  }


  /**
   * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

  /**
   * Beziehungen 1:N bidirektional
   */

  /**
   * Beziehung 1:N (bidirektional) zu ListenkandidatursByListe
   *
   */
  @javax.persistence.OneToMany(targetEntity=de.ivu.elect.business.kandidatur.entity.Listenkandidatur.class, mappedBy="liste", fetch=javax.persistence.FetchType.LAZY )
// elect-deaktiviert, gibt Probleme beim Löschen  @org.hibernate.annotations.Cache(usage = org.hibernate.annotations.CacheConcurrencyStrategy.TRANSACTIONAL)
  protected java.util.Set<de.ivu.elect.business.kandidatur.entity.Listenkandidatur> listenkandidatursByListe;


  /**
   * getter muss read-only verwendet werden, da die Beziehung auf der anderen Seite nicht aktualisiert wird!
   */
  
  @Override
  public java.util.Set<de.ivu.elect.business.kandidatur.entity.Listenkandidatur> getListenkandidatursByListe(){
    if (listenkandidatursByListe == null){
      return  java.util.Collections.<de.ivu.elect.business.kandidatur.entity.Listenkandidatur>unmodifiableSet(java.util.Collections.<de.ivu.elect.business.kandidatur.entity.Listenkandidatur>emptySet());
    }

    return java.util.Collections.<de.ivu.elect.business.kandidatur.entity.Listenkandidatur>unmodifiableSet(this.listenkandidatursByListe);
  }

  @javax.persistence.Transient
  private boolean hasChangedListenkandidatursByListe = false;

  public boolean hasChangedListenkandidatursByListe() {
    return hasChangedListenkandidatursByListe;
  }

  /**
   * Hinzufuegen von de.ivu.elect.business.kandidatur.entity.Listenkandidatur
   */
  @Override
  public void addListenkandidaturByListe(de.ivu.elect.business.kandidatur.entity.Listenkandidatur listenkandidaturByListe){
    try {
      if (!updateRelationship){
        updateRelationship = true;

        if (listenkandidaturByListe != null){
          if (this.listenkandidatursByListe == null) {
            this.listenkandidatursByListe = new java.util.HashSet<>();
          }

          boolean isChanged = this.listenkandidatursByListe.add(listenkandidaturByListe);

          if(!hasChangedListenkandidatursByListe) {
            hasChangedListenkandidatursByListe =  isChanged;
          }

          // andere Seite der Beziehung aktualisieren
          listenkandidaturByListe.setListe(this);
        }
      }
    } finally {
      updateRelationship = false;
    }
  }

  /**
   * Entfernen von de.ivu.elect.business.kandidatur.entity.Listenkandidatur
   */
  @Override
  public void removeListenkandidaturByListe(de.ivu.elect.business.kandidatur.entity.Listenkandidatur listenkandidaturByListe){
    try {
      if (!updateRelationship){
        updateRelationship = true;

        if (listenkandidaturByListe != null){
          if (this.listenkandidatursByListe != null) {
            boolean isChanged = this.listenkandidatursByListe.remove(listenkandidaturByListe);

            if(!hasChangedListenkandidatursByListe) {
              hasChangedListenkandidatursByListe =  isChanged;
            }
          }

          // andere Seite der Beziehung aktualisieren
          listenkandidaturByListe.setListe(null);
        }
      }
    } finally {
      updateRelationship = false;
    }
  }

 /**
  * Entfernen von allen de.ivu.elect.business.kandidatur.entity.Listenkandidatur
  */
   @Override
   public void removeAllListenkandidaturByListes(){
     java.util.Set<de.ivu.elect.business.kandidatur.entity.Listenkandidatur> toRemove = new java.util.HashSet<>(getListenkandidatursByListe());

     for (   de.ivu.elect.business.kandidatur.entity.Listenkandidatur entity:toRemove){
       removeListenkandidaturByListe(entity);
     }
   }

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */


  /**
   * Beziehungen N:M bidirektional selbstreferenzierend
   */
  

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("Liste:");
    sb.append(getId());
    sb.append(" (TK: ");
    try {
      sb.append(getTk());
    } catch (Exception e) {
      sb.append(e.getMessage());
    }
    sb.append(")");
    return sb.toString();
}



  /**
   * Kopiert alle Attribute (ausser PK und Version) und UNIDIREKTIONALE n:1-Beziehungen in uebergebene Entitaet.
   *
   * @param other
   *
   * @deprecated Sollte nur mit Bedacht genutzt werden, da hier auch die Beziehungen kopiert werden. Deswegen markiert
   *             als Deprecated.
   */
  @Deprecated
  protected void copyEntity(Liste other){
        super.copyEntity(other);
                             other.listenverbindungEingereicht = this.listenverbindungEingereicht;
           
  other.setListenverbindung(this.getListenverbindung());
    if (this.transientContext != null && !this.transientContext.isEmpty()) {
      other.getTransientContext().putAll(this.transientContext);
    }
  }



    @Override
    public void copyEntityAttributesToOtherEntity(de.ivu.elect.jee.entity.Entity other) {
      if (other==null){
        return;
      }
      if (other.isInstanceOf(Liste.class)){
        copyEntityAttributesUsingSetter((Liste) other.castTo(Liste.class).getEntity());
      } else {
        throw new IllegalArgumentException("Keine Instanz von Liste: " + other);
      }
    }

  /**
  * Kopiert alle Attribute (ausser PK und Version)  in uebergebene Entitaet.
  *
  */
  public void copyEntityAttributesUsingSetter(Liste other){
      super.copyEntityAttributesUsingSetter(other);
               other.setListenverbindungEingereicht(this.listenverbindungEingereicht);
           if (this.transientContext != null && !this.transientContext.isEmpty()) {
      other.getTransientContext().putAll(this.transientContext);
    }
  }

    @Override
    public void copyEntityAttributesUsingSetter(de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag other){
       if (other.isInstanceOf(Liste.class)) {
         copyEntityAttributesUsingSetter(other.castTo(Liste.class).getEntity());
       } else {
         super.copyEntityAttributesUsingSetter(other);
       }
    }

  /**
   * Kopiert alle veränderten Attribute (ausser PK, CustomData, wenn vorhanden und Version) in uebergebene Entitaet.
   *
   */
  public void copyChangedEntityAttributesUsingSetter(Liste other){
       super.copyChangedEntityAttributesUsingSetter(other);
                       if (hasChangedListenverbindungEingereicht) {
        other.setListenverbindungEingereicht(this.listenverbindungEingereicht);
      }
             }

    @Override
    public void copyChangedEntityAttributesUsingSetter(de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag other){
      if (other.isInstanceOf(Liste.class)) {
        copyChangedEntityAttributesUsingSetter(other.castTo(Liste.class).getEntity());
      } else {
        super.copyChangedEntityAttributesUsingSetter(other);
      }
    }




    @javax.persistence.Transient
    private transient ListeTK tkCache;

    @Override
    protected void resetTkCache() {
    super.resetTkCache();
        tkCache = null;
    }

    public ListeTK getListeTK(){
    if (tkCache==null) {
    tkCache = new ListeTK(

getDiscriminator()
,   (getGruppeImGebiet() == null) ? null : getGruppeImGebiet().getGruppeImGebietTK()


  );}
  return tkCache;
}
    @Override
    public de.ivu.elect.jee.entity.tk.EntityTK getTk() {
       return getListeTK();
    }

  @Override
  public ListeUK getUk(){
    return getListeUK();
  }

  @Override
  public Class< ? > getEntityClass() {
    return Liste.class;
  }

public ListeUK getListeUK(){

   return  new ListeUK(

getDiscriminator()
,     getGruppeImGebiet()==null?null:getGruppeImGebiet().getGruppeImGebietUK()


  );
}

  @javax.persistence.Transient
  private transient ListeProperties properties;

  @Override
  public ListeProperties getProperties(){
    if (properties == null) {
      properties = new ListeProperties(this);
    }
    return properties;
  }

  /**
   * @deprecated getProperties() verwenden.
   */
  @Deprecated
  public ListeProperties getListeProperties(){
    return getProperties();
  }

  @Override
  public String getEntityTechnicalName() {
    return ListeConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public boolean isAenderungenProtokollieren(){
        if (super.isAenderungenProtokollieren()){
      return true;
    }
    
    return true;
  }


    @Override
   public void setProtokollierteAttributeMitWerten(java.util.Map<String, de.ivu.elect.jee.protokollierung.AttributWertVorher> werteVorher) {
            super.setProtokollierteAttributeMitWerten(werteVorher);
     
      if (werteVorher.containsKey(ListeConstants.MESSAGE_KEY_LISTENVERBINDUNG_EINGEREICHT_EINZAHL)){
        de.ivu.elect.jee.protokollierung.AttributWertVorher vorher = werteVorher.get(ListeConstants.MESSAGE_KEY_LISTENVERBINDUNG_EINGEREICHT_EINZAHL);

        listenverbindungEingereicht =
     vorher.getAttributTyp().getValueAsString(vorher.getWertVorher());
          }

                }

  @Override
  public java.util.Map<String, de.ivu.elect.jee.protokollierung.VorherNachherWert> getProtokollierteAttributeMitWerten() {
    java.util.Map<String,de.ivu.elect.jee.protokollierung.VorherNachherWert> result;
        result = super.getProtokollierteAttributeMitWerten();
                        if (isSeitLadenVeraendertListenverbindungEingereicht) {
      result.put(ListeConstants.MESSAGE_KEY_LISTENVERBINDUNG_EINGEREICHT_EINZAHL, new de.ivu.elect.jee.protokollierung.VorherNachherWert(
         de.ivu.elect.jee.protokollierung.AttributTyp.STRING
                , wertNachLadenListenverbindungEingereicht , listenverbindungEingereicht));
    }
                return result;
  }

  @Override
  public void resetProtokollierteAttribute() {
        super.resetProtokollierteAttribute();
                      isSeitLadenVeraendertListenverbindungEingereicht = false;
      wertNachLadenListenverbindungEingereicht = null;
                   }

  @Override
  public  java.util.List<de.ivu.elect.jee.entity.EntityFachlichAbhaengigNode> getFachlichAbhaengigeEntitaeten(){
           java.util.List<de.ivu.elect.jee.entity.EntityFachlichAbhaengigNode> result = super.getFachlichAbhaengigeEntitaeten();
                    return result;
  }

        
            @Override
            protected String getInitialDiscriminator() {
              return "LISTE";
            }

            @Override
            public boolean isInstanceOf(Class<?> clazz) {
            return clazz.isInstance(this);
            }


            @Override
            public <E> de.ivu.elect.jee.entity.EntityContainer<E> castTo(Class<E> clazz) {
                return new de.ivu.elect.jee.entity.EntityContainer<>((E)this); // EntityContainer ist notwendig, da sonst von Hibernate die Entität wieder durch ihren Proxy ersetzt wird...
            }

  @Override
  public boolean isPersistent() {
    return getId() != null;
  }



            
                  @Override
                public void resetValidation() {
                  super.resetValidation();
        
    validationResult = null;
        }

        @javax.persistence.Transient
        private transient java.util.Set<de.ivu.elect.jee.entity.EntityConstraintViolation> validationResult;

                          @Override
                    public java.util.Set<de.ivu.elect.jee.entity.EntityConstraintViolation> validateEntity() {
            if (validationResult==null) {
               validationResult  = new java.util.HashSet<>();
                                  validationResult.addAll(super.validateEntity());
                                                                                                           de.ivu.elect.jee.entity.EntityConstraintCheck.checkStringLength(ListeConstants.LISTENVERBINDUNG_EINGEREICHT_MAX_LENGTH ,  listenverbindungEingereicht, this, ListeConstants.MESSAGE_KEY_LISTENVERBINDUNG_EINGEREICHT_EINZAHL, validationResult);
                                    }
             return validationResult;
        }

            }
